org.pentaho.reporting.libraries.resourceloader.factory.image

## Class GIFImageFactoryModule

- java.lang.Object
- - org.pentaho.reporting.libraries.resourceloader.factory.AbstractFactoryModule
  - - org.pentaho.reporting.libraries.resourceloader.factory.image.GIFImageFactoryModule

All Implemented Interfaces:
  FactoryModule

    public class GIFImageFactoryModule
    extends AbstractFactoryModule

Creation-Date: 05.04.2006, 17:35:12

Author:
  Thomas Morgner

### Field Summary

### Fields inherited from interface org.pentaho.reporting.libraries.resourceloader.factory.FactoryModule

`FEELING_LUCKY, RECOGNIZED_CONTENTTYPE, RECOGNIZED_FILE, RECOGNIZED_FINGERPRINT, REJECTED`

### Constructor Summary

Constructors
Constructor and Description
`GIFImageFactoryModule()`

### Method Summary

Methods
`Resource` `create(ResourceManager caller, ResourceData data, ResourceKey context)`
`int` `getHeaderFingerprintSize()`

### Methods inherited from class org.pentaho.reporting.libraries.resourceloader.factory.AbstractFactoryModule

`canHandleResource`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GIFImageFactoryModule

    public GIFImageFactoryModule()

### Method Detail

#### getHeaderFingerprintSize

    public int getHeaderFingerprintSize()

Specified by:
  `getHeaderFingerprintSize` in interface `FactoryModule`
Overrides:
  `getHeaderFingerprintSize` in class `AbstractFactoryModule`

#### create

    public Resource create(ResourceManager caller,
                  ResourceData data,
                  ResourceKey context)
                    throws ResourceLoadingException

Throws:
  `ResourceLoadingException`